Bug 204858 - battery applet polls every second, even on a server
battery applet polls every second, even on a server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks: wakeup
  Show dependency treegraph
 
Reported: 2006-08-31 18:07 EDT by Arjan van de Ven
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 14:08:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
decrease spurious wakeups by the battery applet on my 4 core server (1.06 KB, patch)
2006-08-31 18:07 EDT, Arjan van de Ven
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 353885 None None None Never

  None (edit)
Description Arjan van de Ven 2006-08-31 18:07:57 EDT
Description of problem:


the battery applet polls battery status every second, even on a server. This
frequent polling is eating power and is hurting with tickless-idle kernels
(there are many things on the desktop doing once or a few times per second
things, they add up to MANY, distroying power savings).

The attached patch uses a 10 second rather than a 1 second delay if there is no
batter present and we're on AC. 10 seconds is still respectable, but it reduces
the wakeups by a factor of 10
Comment 1 Arjan van de Ven 2006-08-31 18:07:57 EDT
Created attachment 135344 [details]
decrease spurious wakeups by the battery applet on my 4 core server
Comment 2 Matthias Clasen 2006-09-01 13:05:28 EDT
is there any point in polling the battery status every second, even on a laptop ?
every 10 seconds sounds totally fine to me, in general.
Comment 3 Matthias Clasen 2006-09-01 14:08:26 EDT
I've made it 5 seconds/10 seconds.
Fixed in 2.15.90-6.fc6
Comment 4 Ray Strode [halfline] 2006-09-05 10:44:58 EDT
For fc7 we really need to drop that applet.  it is completely redundant with
gnome-power-manager

Note You need to log in before you can comment on or make changes to this bug.